org.keycloak.protocol.oidc.grants.ciba.endpoints.request

## Class BackchannelAuthenticationEndpointRequest

- java.lang.Object
- - org.keycloak.protocol.oidc.grants.ciba.endpoints.request.BackchannelAuthenticationEndpointRequest

-     public class BackchannelAuthenticationEndpointRequest
      extends Object

  Author:
    Takashi Norimatsu

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackchannelAuthenticationEndpointRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAcr()`
    `Map<String,String>` | `getAdditionalReqParams()`
    `String` | `getBindingMessage()`
    `String` | `getClaims()`
    `String` | `getClientNotificationToken()`
    `String` | `getDisplay()`
    `String` | `getIdTokenHint()`
    `String` | `getInvalidRequestMessage()`
    `String` | `getLoginHint()`
    `String` | `getLoginHintToken()`
    `Integer` | `getMaxAge()`
    `String` | `getNonce()`
    `String` | `getPrompt()`
    `Integer` | `getRequestedExpiry()`
    `String` | `getScope()`
    `String` | `getUiLocales()`
    `String` | `getUserCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackchannelAuthenticationEndpointRequest

          public BackchannelAuthenticationEndpointRequest()

  - ### Method Detail

    - #### getScope

          public String getScope()

    - #### getClientNotificationToken

          public String getClientNotificationToken()

    - #### getAcr

          public String getAcr()

    - #### getLoginHintToken

          public String getLoginHintToken()

    - #### getIdTokenHint

          public String getIdTokenHint()

    - #### getLoginHint

          public String getLoginHint()

    - #### getBindingMessage

          public String getBindingMessage()

    - #### getUserCode

          public String getUserCode()

    - #### getRequestedExpiry

          public Integer getRequestedExpiry()

    - #### getPrompt

          public String getPrompt()

    - #### getNonce

          public String getNonce()

    - #### getMaxAge

          public Integer getMaxAge()

    - #### getDisplay

          public String getDisplay()

    - #### getUiLocales

          public String getUiLocales()

    - #### getClaims

          public String getClaims()

    - #### getAdditionalReqParams

          public Map<String,String> getAdditionalReqParams()

    - #### getInvalidRequestMessage

          public String getInvalidRequestMessage()

Copyright © 2021 JBoss by Red Hat. All rights reserved.